Bug 216106 - Review Request: python-twisted-words - Twisted Words contains Instant Messaging implementations
Review Request: python-twisted-words - Twisted Words contains Instant Messagi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 221310
  Show dependency treegraph
 
Reported: 2006-11-17 05:17 EST by Thomas Vander Stichele
Modified: 2008-12-24 19:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 04:52:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2006-11-17 05:17:49 EST
Spec URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-words-0.4.0-2.fc5/python-twisted-words.spec
SRPM URL: http://thomas.apestaart.org/download/pkg/fedora-5-x86_64-extras/python-twisted-words-0.4.0-2.fc5/python-twisted-words-0.4.0-2.fc5.src.rpm
Description: 
Twisted is an event-based framework for internet applications.

Twisted Words contains implementations of many Instant Messaging
protocols, including IRC, Jabber, MSN, OSCAR (AIM & ICQ), TOC (AOL),
and some functionality for creating bots, inter-protocol gateways, and
a client application for many of the protocols.

In support of Jabber, Twisted Words also contains X-ish, a library for
processing XML with Twisted and Python, with support for a Pythonic DOM and
an XPath-like toolkit.
Comment 1 Kevin Fenzi 2006-12-16 14:31:24 EST
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
37d34da233aefe4a7a41b97bc9222b6a  TwistedWords-0.4.0.tar.bz2
37d34da233aefe4a7a41b97bc9222b6a  TwistedWords-0.4.0.tar.bz2.1
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
x386/x86_64 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The obligatory comment about the %{python} macro. ;)

2. Should include LICENSE and NEWS as %doc files.

3. Needs BuildRequires: python-devel on fc7/devel at least.

4. rpmlint says:
E: python-twisted-words no-binary
(which can be ignored in this case)

5. Should the Requires on python-twisted-core be versioned?
I just noticed it isn't here or any of the other python-twisted-*
packages. Is core likely to upgrade in a way that is compatible
with all the subpackages?
Comment 2 Thomas Vander Stichele 2006-12-27 10:51:02 EST
http://thomas.apestaart.org/download/pkg/fedora-6-i386-extras/python-twisted-words-0.4.0-3.fc6/

the idea of core is that indeed it upgrades compatibly.
Comment 3 Kevin Fenzi 2006-12-27 14:43:58 EST
1-4: all ok

on 5: 

> the idea of core is that indeed it upgrades compatibly.

So, these python-twisted-* subpackages will work with _any_ version of
python-twisted-core? Is that always going to be the case? 

If I have a python-twisted-core I install now, then down the road if I install
say python-twisted-words it will work with the old un-updated core package I have?

Comment 4 Thomas Vander Stichele 2006-12-28 06:43:06 EST
I can only parrot what the Twisted developers say, and they say this is indeed
the intention for a reasonably long series of Twisted (e.g. the 2.x series)

If they actually live up to this or will fix stuff when something goes wrong is
something I cannot predict of course.

What I am reasonably (99.9%) sure of is that *if* there are any problems of that
kind an updated -core will be put out to fix whatever is wrong.

I don't think versioned depends make a lot of sense in this scenario since you
cannot predict when it will *stop* working, so you cannot put an upper limit on
your versioned depends anyway.  Whatever you put in is going to break regardless .
Comment 5 Kevin Fenzi 2006-12-28 13:33:38 EST
>I can only parrot what the Twisted developers say, and they say this is indeed
>the intention for a reasonably long series of Twisted (e.g. the 2.x series)
>
>If they actually live up to this or will fix stuff when something goes wrong is
>something I cannot predict of course.

Thats fine... as long as they plan to keep compatibility thats good. 

>
>What I am reasonably (99.9%) sure of is that *if* there are any problems of
>that kind an updated -core will be put out to fix whatever is wrong.

Well, if that has to happen, you will also have to add a versioned requirement
to any of the subpackages that need the new fixed core package. 
Otherwise you can have a case where someone installs fc6, installs
python-twisted-core, and then many months later installs say
python-twisted-words. Since there isn't a version requirement there it will
happily install with the older python-twisted-core package. 

>
>I don't think versioned depends make a lot of sense in this scenario since you
>cannot predict when it will *stop* working, so you cannot put an upper limit on
>your versioned depends anyway.  Whatever you put in is going to break >regardless .

As long as the subpackages are working with the available core package there
shouldn't be an issue. If there is something in a subpackage that needs a fix in
the core package, I think at that point you will have to add a versioned
requirement for the fixed core. 

So, I think there is no issue now with it being unversioned. 
If it needs to be versioned later for a fix you can do so at that point. 

I see no further blockers here... this package is APPROVED. 

Please remember to close this package review as NEXTRELEASE once it's been
imported and built. 
Comment 6 Matthias Saou 2008-12-23 17:28:57 EST
Package Change Request
======================
Package Name: python-twisted-words
New Branches: EL-5
Owners: thomasvs

The EL-5 branch has been requested in bug #454919 because not having it is blocking bug #454920.
Comment 7 Kevin Fenzi 2008-12-24 19:44:07 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.